#
# Conditional build:
%bcond_with	arts	# aRts support
%bcond_with	esd	# EsounD support

Summary:	Text to speech system
Summary(pl.UTF-8):	Syntezator mowy
Name:		powiedz
Version:	1.0
Release:	7
License:	GPL
Group:		Applications/Sound
Source0:	http://www.rivendell.eu.org/%{name}-%{version}.tgz
# Source0-md5:	e41665cc88c096473d48ff2fd32c4646
Patch0:		%{name}-dsp-handle-fix.patch
Patch1:		%{name}-Makefile.patch
%{?with_arts:BuildRequires:	artsc-devel}
%{?with_esd:BuildRequires:	esound-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Polish text to speech system based on rsynth.

%description -l pl.UTF-8
Polski syntezator mowy stworzony na podstawie rsynth.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__make} -f Makefile_plain \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags} %{?with_arts:`artsc-config --cflags`}" \
	OPTDEFS="%{?with_arts:-DUSE_ARTS=1} %{?with_esd:-DUSE_ESD=1}" \
	OPTLIBS="%{?with_arts:`artsc-config --libs`} %{?with_esd:-lesd}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_examplesdir}/%{name}-%{version}}

install %{name} $RPM_BUILD_ROOT%{_bindir}
tail -n +3 <pars.def >$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/sayrc.example

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/powiedz
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu May 04 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/powiedz.git;a=log;h=master

* Thu May 04 2023 Jakub Bogusz <qboosh@pld-linux.org> c666140
- release 7

* Thu May 04 2023 Jakub Bogusz <qboosh@pld-linux.org> 8e95d25
- cleanup

* Wed Nov 24 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 362d0f8
- rel 6; switch off arts and esd bconds

* Thu Sep 23 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7b043bb
- release 5

* Wed Apr 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> db1b717
- release 4

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a85f19
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a533946
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3f194bd
- converted to UTF-8

* Tue Aug 15 2006 darekr <darekr@pld-linux.org> f11fb85
- pass CC

* Thu Feb 24 2005 darekr <darekr@pld-linux.org> 736aef4
- typo

* Wed Aug 18 2004 undefine <undefine@pld-linux.org> bee1176
- release 2

* Mon Jan 05 2004 ankry <ankry@pld-linux.org> cee9edd
- new head/tail syntax

* Tue Dec 09 2003 Jakub Bogusz <qboosh@pld-linux.org> 04c9940
- s/arts-devel/artsc-devel/

* Sat Oct 04 2003 Tomasz Pala <gotar@pld-linux.org> cc01ddb
- unified bconds

* Sat Sep 06 2003 Jakub Bogusz <qboosh@pld-linux.org> e95ed57
- added arts and esound bconds (changes in spec and Makefile patch)

* Sun Aug 31 2003 hunter <hunter@pld-linux.org> 8fdad59
- - add -L/usr/X11R6/lib

* Sun Aug 31 2003 grzegol <grzegol@pld-linux.org> 11a4fc0
- use artsc-config instead of hardcored path

* Sun Aug 31 2003 grzegol <grzegol@pld-linux.org> a73aeb8
- there is no ./configure, so prepare Makefile manualy

* Sun Aug 31 2003 grzegol <grzegol@pld-linux.org> 1af63b8
- outdated

* Sun Aug 31 2003 grzegol <grzegol@pld-linux.org> d9e0258
- updated to version 1.0

